通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Entra Id Assignments - Update

批量更新 Entra 访问分配。

PATCH {endpoint}/access/entra/assignments?api-version=2025-03-02-preview

URI 参数

名称 必需 类型 说明
endpoint
path True

string (url)

通信资源,例如 https://my-resource.communication.azure.com

api-version
query True

string

要调用的 API 版本。

请求正文

Media Types: "application/merge-patch+json"

名称 类型 说明

EntraAssignmentCreateOrUpdateRequest

响应

名称 类型 说明
200 OK

EntraAssignmentsResponse

成功

204 No Content

无内容

Other Status Codes

CommunicationErrorResponse

错误

示例

Update Assignments

示例请求

PATCH https://my-resource.communication.azure.com/access/entra/assignments?api-version=2025-03-02-preview

{
  "b27b64b9-39d2-44a3-869d-67700b74e805": {
    "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
    "principalType": "user",
    "clientIds": [
      "617d08b5-f35b-4270-87d6-56833d2dee1b"
    ]
  },
  "eaf4bdca-9343-492B-a5e2-9310fbe393b8": null,
  "fd63f3cb-3731-4d15-8e47-9d062aba58c5": {
    "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
    "principalType": "user",
    "clientIds": [
      "617d08b5-f35b-4270-87d6-56833d2dee1b"
    ]
  }
}

示例响应

{
  "value": [
    {
      "objectId": "b27b64b9-39d2-44a3-869d-67700b74e805",
      "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
      "principalType": "user",
      "clientIds": [
        "617d08b5-f35b-4270-87d6-56833d2dee1b"
      ]
    },
    {
      "objectId": "fd63f3cb-3731-4d15-8e47-9d062aba58c5",
      "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
      "principalType": "user",
      "clientIds": [
        "617d08b5-f35b-4270-87d6-56833d2dee1b"
      ]
    }
  ]
}

定义

名称 说明
CommunicationError

通信服务错误。

CommunicationErrorResponse

通信服务错误。

EntraAssignment
EntraAssignmentCreateOrUpdateRequest
EntraAssignmentsResponse
EntraPrincipalType

CommunicationError

通信服务错误。

名称 类型 说明
code

string

错误代码。

details

CommunicationError[]

有关导致此错误的特定错误的更多详细信息。

innererror

CommunicationError

内部错误(如果有)。

message

string

错误消息。

target

string

错误目标。

CommunicationErrorResponse

通信服务错误。

名称 类型 说明
error

CommunicationError

通信服务错误。

EntraAssignment

名称 类型 说明
clientIds

string[]

objectId

string

principalType

EntraPrincipalType

tenantId

string

EntraAssignmentCreateOrUpdateRequest

名称 类型 说明
clientIds

string[]

principalType

EntraPrincipalType

tenantId

string

EntraAssignmentsResponse

名称 类型 说明
nextLink

string

value

EntraAssignment[]

EntraPrincipalType

说明
user
group
tenant